Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.event.trackback
Class TrackBackListenerSupport

    java.lang.Object
      net.sourceforge.pebble.event.trackback.TrackBackListenerSupport

All Implemented Interfaces:
  TrackBackListener

Direct Known Subclasses:
  AbstractEmailNotificationListener

    public abstract class TrackBackListenerSupport

extends java.lang.Object
implements TrackBackListener

Starting point for implementation of TrackBackListener that provides no-op methods.

Author:
  Simon Brown

Constructor Summary
`TrackBackListenerSupport()`

Method Summary
`void` | `trackBackAdded(TrackBackEvent event)` Called when a TrackBack has been added.
`void` | `trackBackApproved(TrackBackEvent event)` Called when a TrackBack has been approved.
`void` | `trackBackRejected(TrackBackEvent event)` Called when a TrackBack has been rejected.
`void` | `trackBackRemoved(TrackBackEvent event)` Called when a TrackBack has been removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrackBackListenerSupport

    public TrackBackListenerSupport()

Method Detail

### trackBackAdded

    public void trackBackAdded(TrackBackEvent event)

  Called when a TrackBack has been added.

  Specified by:
    `trackBackAdded` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackRemoved

    public void trackBackRemoved(TrackBackEvent event)

  Called when a TrackBack has been removed.

  Specified by:
    `trackBackRemoved` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackApproved

    public void trackBackApproved(TrackBackEvent event)

  Called when a TrackBack has been approved.

  Specified by:
    `trackBackApproved` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackRejected

    public void trackBackRejected(TrackBackEvent event)

  Called when a TrackBack has been rejected.

  Specified by:
    `trackBackRejected` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.